//(C) 2001 Marek Wodzinski
//http://rex.mamy.to

var
  we,wy:file of byte;
  b:byte;

begin
  //check number of parameters
  if paramcount<>2 then
  begin
    writeln('Usage: wbmp2rex input.wbmp output.rbin');
    halt(1);
  end;

  //open input file
  assign(we,paramstr(1));
  {$I-}
  reset(we);
  {$I+}
  if ioresult<>0 then
  begin
    writeln('Can''t open input file: ',paramstr(1));
    halt(2);
  end;

  //check filesize
  if filesize(we)<4 then
  begin
    writeln('Input file is too short!');
    halt(3);
  end;

  //output file
  assign(wy,paramstr(2));
  {$I-}
  rewrite(wy);
  {$I+}
  if ioresult<>0 then
  begin
    writeln('Can''t write to output file: ',paramstr(2));
    halt(4);
  end;

  //drop wml version
  read(we,b);
  read(we,b);

  //get x size and check this
  read(we,b);
  if (b=0) or (b mod 8<>0) or (b>240) then
  begin
    writeln('Wrong x size!');
    writeln('This must be multiple of 8 (8,16,24,...) and no more than 240 pixels');
    halt(5);
  end;

  //copy rest of file
  write(wy,b);
  while not eof(we) do
  begin
    read(we,b);
    write(wy,b);
  end;

  //close files
  close(we);
  close(wy);
  writeln('Done...');
end.